ITfUIElementVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfUIElement *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfUIElement *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfUIElement *)
| HRESULT (STDMETHODCALLTYPE *GetDescription)(ITfUIElement *
BSTR * | HRESULT (STDMETHODCALLTYPE *GetGUID)(ITfUIElement *
BSTR GUID * | HRESULT (STDMETHODCALLTYPE *Show)(ITfUIElement *
| HRESULT (STDMETHODCALLTYPE *IsShown)(ITfUIElement *

## Data Fields

| REFIID
BSTR GUID | BOOL

## Detailed Description

Definition at line 198 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/5]

ITfUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetDescription | ) |

## HRESULT() [2/5]

BSTR* ITfUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetGUID | ) |

## HRESULT() [3/5]

ITfUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsShown | ) |

## HRESULT() [4/5]

ITfUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [5/5]

BSTR GUID* ITfUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Show | ) |

## ULONG() [1/2]

void** ITfUIElementVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfUIElementVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## BOOL

BSTR GUID ITfUIElementVtbl::BOOL

Definition at line 205 of file SDL_msctf.h.

## REFIID

ITfUIElementVtbl::REFIID

Definition at line 200 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h